aboutsummaryrefslogtreecommitdiffstats
path: root/src/shell
diff options
context:
space:
mode:
Diffstat (limited to '')
-rw-r--r--src/shell/atuin.bash14
-rw-r--r--src/shell/atuin.fish15
-rw-r--r--src/shell/atuin.zsh56
3 files changed, 28 insertions, 57 deletions
diff --git a/src/shell/atuin.bash b/src/shell/atuin.bash
index 9c8fa237..1056dcf5 100644
--- a/src/shell/atuin.bash
+++ b/src/shell/atuin.bash
@@ -2,7 +2,8 @@ ATUIN_SESSION=$(atuin uuid)
export ATUIN_SESSION
_atuin_preexec() {
- local id; id=$(atuin history start -- "$1")
+ local id
+ id=$(atuin history start -- "$1")
export ATUIN_HISTORY_ID="${id}"
}
@@ -11,11 +12,10 @@ _atuin_precmd() {
[[ -z "${ATUIN_HISTORY_ID}" ]] && return
- (RUST_LOG=error atuin history end --exit "${EXIT}" -- "${ATUIN_HISTORY_ID}" &) > /dev/null 2>&1
+ (RUST_LOG=error atuin history end --exit "${EXIT}" -- "${ATUIN_HISTORY_ID}" &) >/dev/null 2>&1
}
-__atuin_history ()
-{
+__atuin_history() {
tput rmkx
# shellcheck disable=SC2048,SC2086
HISTORY="$(RUST_LOG=error atuin search $* -i -- "${READLINE_LINE}" 3>&1 1>&2 2>&3)"
@@ -32,9 +32,3 @@ else
precmd_functions+=(_atuin_precmd)
preexec_functions+=(_atuin_preexec)
fi
-
-if [[ -z ${ATUIN_NOBIND} ]]; then
- bind -x '"\C-r": __atuin_history'
- bind -x '"\e[A": __atuin_history --shell-up-key-binding'
- bind -x '"\eOA": __atuin_history --shell-up-key-binding'
-fi
diff --git a/src/shell/atuin.fish b/src/shell/atuin.fish
index 9446907e..727d1377 100644
--- a/src/shell/atuin.fish
+++ b/src/shell/atuin.fish
@@ -38,18 +38,3 @@ function _atuin_bind_up
up-or-search
end
end
-
-if test -z $ATUIN_NOBIND
- bind \cr _atuin_search
- bind -k up _atuin_bind_up
- bind \eOA _atuin_bind_up
- bind \e\[A _atuin_bind_up
-
-
- if bind -M insert > /dev/null 2>&1
- bind -M insert \cr _atuin_search
- bind -M insert -k up _atuin_bind_up
- bind -M insert \eOA _atuin_bind_up
- bind -M insert \e\[A _atuin_bind_up
- end
-end
diff --git a/src/shell/atuin.zsh b/src/shell/atuin.zsh
index dd5c1afc..b0e160ff 100644
--- a/src/shell/atuin.zsh
+++ b/src/shell/atuin.zsh
@@ -12,42 +12,42 @@ autoload -U add-zsh-hook
export ATUIN_SESSION=$(atuin uuid)
export ATUIN_HISTORY="atuin history list"
-_atuin_preexec(){
- local id; id=$(atuin history start -- "$1")
- export ATUIN_HISTORY_ID="$id"
+_atuin_preexec() {
+ local id
+ id=$(atuin history start -- "$1")
+ export ATUIN_HISTORY_ID="$id"
}
-_atuin_precmd(){
- local EXIT="$?"
+_atuin_precmd() {
+ local EXIT="$?"
- [[ -z "${ATUIN_HISTORY_ID}" ]] && return
+ [[ -z "${ATUIN_HISTORY_ID}" ]] && return
-
- (RUST_LOG=error atuin history end --exit $EXIT -- $ATUIN_HISTORY_ID &) > /dev/null 2>&1
+ (RUST_LOG=error atuin history end --exit $EXIT -- $ATUIN_HISTORY_ID &) >/dev/null 2>&1
}
-_atuin_search(){
- emulate -L zsh
- zle -I
+_atuin_search() {
+ emulate -L zsh
+ zle -I
- # Switch to cursor mode, then back to application
- echoti rmkx
- # swap stderr and stdout, so that the tui stuff works
- # TODO: not this
+ # Switch to cursor mode, then back to application
+ echoti rmkx
+ # swap stderr and stdout, so that the tui stuff works
+ # TODO: not this
# shellcheck disable=SC2048
- output=$(RUST_LOG=error atuin search $* -i -- $BUFFER 3>&1 1>&2 2>&3)
- echoti smkx
+ output=$(RUST_LOG=error atuin search $* -i -- $BUFFER 3>&1 1>&2 2>&3)
+ echoti smkx
- if [[ -n $output ]] ; then
- RBUFFER=""
- LBUFFER=$output
- fi
+ if [[ -n $output ]]; then
+ RBUFFER=""
+ LBUFFER=$output
+ fi
- zle reset-prompt
+ zle reset-prompt
}
-_atuin_up_search(){
- _atuin_search --shell-up-key-binding
+_atuin_up_search() {
+ _atuin_search --shell-up-key-binding
}
add-zsh-hook preexec _atuin_preexec
@@ -55,11 +55,3 @@ add-zsh-hook precmd _atuin_precmd
zle -N _atuin_search_widget _atuin_search
zle -N _atuin_up_search_widget _atuin_up_search
-
-if [[ -z $ATUIN_NOBIND ]]; then
- bindkey '^r' _atuin_search_widget
-
- # depends on terminal mode
- bindkey '^[[A' _atuin_up_search_widget
- bindkey '^[OA' _atuin_up_search_widget
-fi